# Uses of Class
org.globus.net.PortRange

Packages that use PortRange
Package
Description
org.globus.net
Contains socket factories for creating regural and secure server sockets behind firewalls or NAT servers.

## Uses of PortRange in org.globus.net

Methods in org.globus.net that return PortRange
Modifier and Type
Method
Description
`static PortRange`
PortRange.`getInstance()`
Returns PortRange instance for TCP listening sockets.
`static PortRange`
PortRange.`getTcpInstance()`
Returns PortRange instance for TCP listening sockets.
`static PortRange`
PortRange.`getTcpSourceInstance()`
Returns PortRange instance for TCP source sockets.
`static PortRange`
PortRange.`getUdpSourceInstance()`
Returns PortRange instance for UDP source sockets.